# module Resolv::SZ

### Public Instance Methods

read_s(key) click to toggle source

ad hoc workaround for broken registry

    # File ext/win32/lib/win32/resolv.rb, line 53
    def read_s(key)
      type, str = read(key)
      unless type == Registry::REG_SZ
        warn "Broken registry, #{name}\\#{key} was #{Registry.type2name(type)}, ignored"
        return String.new
      end
      str
    end